<template>
  <div class="container--item center">
    <div>
      <img
        class="container--item__image"
        :src="data.image"
        :alt="data.name"/>
    </div>
    <div class="container--description">
      <div>
        <p class="container--description__title">
          {{data.name}}
        </p>
        <img
          class="container--description__icon"
          :src="require(`../assets/img/${data.category}.svg`)"
          :alt="data.name"
        />
        <p class="container--description__subtitle">
          {{data.price | currency}}
        </p>
      </div>
      <div>
        <div v-if="data.stock > 0">
          <p class="align-right">Existencia: {{data.stock}}</p>
          <button
            class="btn-principal"
            @click="show">Agregar</button>
          <div
            class="items"
            v-if="data.add"
            >
            <div
              class="item--add_rest"
              @click="rest">
              <span>-</span>
            </div>
            <div
              class="item--quantity">
              {{data.items}}
            </div>
            <div
              class="item--add_rest"
              @click="add">
              <span>+</span>
            </div>
          </div>
        </div>
        <img
          v-else
          class="container--description__icon"
          :src="require(`../assets/img/sold-out.svg`)"
          :alt="data.name"
        />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Item',
  props: {
    data: {
      type: Object,
      default: {}
    },
    id: {
      type: Number,
      default: 0
    }
  },
  methods: {
    show() {
      this.$emit('show-item', this.id)
    },
    add() {
      this.$emit('add', this.id)
    },
    rest() {
      this.$emit('rest', this.id)
    }
  }
}
</script>

<style lang="sass" scoped>
.container--item
  height: 190px
  width: 700px
  display: grid
  grid-template-columns: 220px 1fr
  grid-gap: 5px
  .container--item__image
    height: 170px
    width: auto
    overflow: hidden
  .container--description
    display: flex
    justify-content: space-between
    padding-left: 2rem
    text-align: left
    .container--description__title
      font-size: 2rem
    .container--description__icon
      height: 2rem
      width: auto
    .container--description__subtitle
      font-size: 1.2rem
.btn-principal
  background: #5fd080
  border: 0
  border-radius: 4px
  box-shadow: 3px 3px 5px #afafaf
  color: #fff
  font-size: 1rem
  text-decoration:none
  text-align: center
  font-weight: bold
  height: 40px
  width: 100px
  cursor: pointer
  &:hover
    background: #3e9f59
.items
  padding-top: 1rem
  display: flex
  .item--add_rest,
  .item--quantity,
    align-items: center;
    border: 1px solid #ebebeb
    display: flex
    height: 30px
    justify-content: center
    width: 30px

  .item--add_rest
    transition: .5s ease-in-out
    background: #ebebeb
    cursor: pointer

  .item--add_rest:hover
    background: #6b6767

</style>